Bug 244478 - Review Request: qt4-theme-quarticurve - Unofficial port of the Bluecurve widget theme to Qt 4
Review Request: qt4-theme-quarticurve - Unofficial port of the Bluecurve widg...
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Fedora Package Reviews List
Depends On:
  Show dependency treegraph
Reported: 2007-06-15 19:01 EDT by Kevin Kofler
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version: 0.0-0.2.beta3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-09-10 15:04:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
than: fedora‑review+
kevin: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Kevin Kofler 2007-06-15 19:01:12 EDT
Spec URL: http://repo.calcforge.org/f8/qt4-theme-quarticurve.spec
SRPM URL: http://repo.calcforge.org/f8/qt4-theme-quarticurve-0.0-0.1.beta3.fc7.src.rpm
Quarticurve is an unofficial port of Red Hat's Bluecurve Qt 3 widget theme
(taken out of redhat-artwork 5.0.12) to Qt 4. This port is NOT endorsed or
supported by Red Hat.

This will become particularly useful for Fedora 8 when KDE 4 will (hopefully) become the default, but I'm planning to push this to F7 and FE6 too.

I also have a KWin theme ready, but that can't get in before the KDE 4 version of KWin does. :-)

I hope the way "Bluecurve" is referred to is fair use of the trademark, otherwise I'm willing to work out something with Red Hat. Upsetting Red Hat really isn't the goal here. ;-)

rpmlint reports no warnings except those harmless ones for the debuginfo package:
W: qt4-theme-quarticurve-debuginfo hidden-file-or-dir /usr/src/debug/quarticurve-beta3/.moc
W: qt4-theme-quarticurve-debuginfo hidden-file-or-dir /usr/src/debug/quarticurve-beta3/.moc

And in case that it isn't obvious, the Contribution here is supposed to be the packaging, not the upstream source code, even though I happen to be upstream. (The upstream code is GPL v2, so no licensing issues there.)
Comment 1 Kevin Kofler 2007-07-17 13:53:31 EDT
It would be nice if one of you could review this one once the high-priority KDE 
4 and KDE 3 compat stuff is dealt with.
I'm going to submit the ported KWin theme too once the new kdebase is in.
Comment 2 Ngo Than 2007-07-19 04:51:09 EDT
Comment 3 Kevin Kofler 2007-07-19 04:59:38 EDT
New Package CVS Request
Package Name: qt4-theme-quarticurve
Short Description: Unofficial port of the Bluecurve widget theme to Qt 4
Owners: kevin@tigcc.ticalc.org
Branches: FC-6 F-7
Comment 4 Kevin Fenzi 2007-07-19 16:18:10 EDT
cvs done.
Comment 5 Kevin Kofler 2007-09-10 15:04:05 EDT
Whoops, I forgot to close this one.

Note You need to log in before you can comment on or make changes to this bug.